Subject: bug#23766: 25.0.95; crashes on Mac OS X 10.6.8. Snow Leopard

From: Peter Dyballa <[email-masked]>
Date: Tue, 14 Jun 2016 23:59:15 +0200

Am 14.06.2016 um 16:40 schrieb Eli Zaretskii:

> Yes, -ggdb should help, but I think there's something else here,
> because this kind of backtrace:
> 
>  #0  0x00000001012547da in FT_Done_Size ()
>  No symbol table info available.
>  #1  0x00000001002cd613 in ftcrfont_close ()
>  No symbol table info available.
>  #2  0x00000001002021c5 in cleanup_vector ()
>  No symbol table info available.
>  #3  0x000000010020230a in sweep_vectors ()
>  No symbol table info available.
>  #4  0x0000000100209c63 in gc_sweep ()
>  No symbol table info available.
>  #5  0x00000001002070c0 in garbage_collect_1 ()
>  No symbol table info available.
>  #6  0x0000000100207718 in Fgarbage_collect ()
>  No symbol table info available.
>  #7  0x000000010016f192 in maybe_gc ()
>  No symbol table info available.
> 
> means there are no debugging symbols in the binary.  Perhaps the
> binary was stripped at link time, or when you installed it?

The software packages providing these functions are installed as productive versions on my Mac, i.e. stripped. When Gdb loads GNU Emacs it complains about a lot more, for example:

	Reading symbols for shared libraries .+++++++++++++++++++++++++++++++++...............warning: Could not find object file "/opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_archivers_bzip2/bzip2/work/bzip2-1.0.6/blocksort.o" - no debug information available for "blocksort.c".

Anyway, since I changed -g to -ggdb the built emacs binary runs OK! No complaints. Even the mistake I had when I was tellings Gdb

	set args "-xrm 'Emacs*iconName: TeX Live-2015' -T 'TeX Live [email-masked]' -geometry 133x75+1111+81 --debug-init -fn 'Lucida Sans Typewriter:autohint=true:antialias=true:size=9'"

the double quotes, is not causing any reaction! The calendar setup with Easter related local holidays produces a warning, which is clearly not related to the earlier crashes.

--
Greetings

  Pete

We have to expect it, otherwise we would be surprised.